Skip to content

Teams

End of Sale Announcement

Effective May 1, 2026, Okta will no longer sell or renew Advanced Server Access. Existing customers must migrate to Okta Privileged Access within one year of their next scheduled renewal date to maintain service. Read the FAQ | Learn about Okta Privileged Access

List all Servers for a Team

Request

Admin roles:
  • access_user
  • access_admin
  • server_admin
  • reporting_user

Lists all Servers in your Team. This only returns Servers available to the requesting User.

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

Query
offsetstring

The UUID of an object used as an offset for pagination

countinteger, (int32)

Controls the number of objects listed per page

descendingboolean

If 'true', the most recent results are listed first

prevboolean

Controls the direction of paging

project_namestring

A Project name

hostnamestring

A hostname

bastionstring

A bastion hostname

canonical_namestring

A canonical name

cloud_providerstring

A Cloud provider: 'aws' or 'gce'

cloud_accountstring

The id of the cloud account associated with this server

instance_idstring

The instance ids of the servers

alt_names_containsstring

Include Servers that contain the value of 'alt_name_contains' in their 'alt_names'

statestring

State of the Server: 'ACTIVE' or 'INACTIVE'

selectorstring

Server selectors. Syntax is selector=key1=value1,key2=value2

managedstring

If 'true', only include managed servers. If 'false', only include unmanaged servers

AdServersstring

If 'true', only include AD servers. If 'false', only include Non AD servers

credentialedstring

If 'true', only include unmanaged servers with credential issuance enabled. If 'false', only include unmanaged servers with credential issuance disabled.

idstring

Include only servers with the given IDs. Only usable for PAM administrative views of servers, not end user server views.

GET
/v1/teams/{team_name}/servers
curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/servers?offset=string&count=0&descending=true&prev=true&project_name=string&hostname=string&bastion=string&canonical_name=string&cloud_provider=string&cloud_account=string&instance_id=string&alt_names_contains=string&state=string&selector=string&managed=string&AdServers=string&credentialed=string&id=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objects(Server)
Response
{ "list": [ {}, {} ] }